Subject: bug#75012: 31.0.50; Use a different face for storage_class in c-ts-mode doxygen comments

From: Filippo Argiolas <[email-masked]>
Date: Thu, 26 Dec 2024 08:54:04 +0100

Yuan Fu <[email-masked]> writes:

>> On Dec 24, 2024, at 11:32 PM, Filippo Argiolas <[email-masked]> wrote:
>> 
>> Stefan Kangas <[email-masked]> writes:
>> 
>>> Yuan Fu <[email-masked]> writes:
>>> 
>>>> Thanks for the ping. From the screenshot it looks very nice! If no one
>>>> objects I think we should merge this.
>>> 
>>> Sounds good to me.
>> 
>> Great! If you go ahead and install this feel free to take this as a
>> trivial suggestion as I still don't have the signed agreement.
>
> Your patch seems to be within 15 LOC, in that case we can apply it even without the assignment (unless you’ve used the 15 LOC wavier before). Do you want to submit a patch?
>

I have two 'Co-authored' commits, mostly doc changes were I was involved
in the discussion but I wouldn't say I authored, and one 'Suggested by'
trivial bug fix.

I guess I'm still within the trivial realm, patch attached.

Thanks,
Filippo

>From 09b26c95fce881a375393864c9487c1f4d45f05a Mon Sep 17 00:00:00 2001
From: Filippo Argiolas <[email-masked]>
Date: Thu, 26 Dec 2024 08:06:55 +0100
Subject: [PATCH] Improve doxygen comments font lock rules in c-ts modes

* lisp/progmodes/c-ts-common.el
(c-ts-mode-doxygen-comment-font-lock-settings): Add rules for type,
storageclass and note/warning/error tags.  (Bug#75012)

Copyright-paperwork-exempt: yes
---
 lisp/progmodes/c-ts-common.el | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/lisp/progmodes/c-ts-common.el b/lisp/progmodes/c-ts-common.el
index 25b386cbaa7..7a0b2660095 100644
--- a/lisp/progmodes/c-ts-common.el
+++ b/lisp/progmodes/c-ts-common.el
@@ -397,7 +397,12 @@ c-ts-mode-doxygen-comment-font-lock-settings
    :override t
    :feature 'keyword
    '((tag_name) @font-lock-constant-face
-     (storageclass) @font-lock-constant-face)
+     (type) @font-lock-type-face
+     (emphasis) @bold
+     ((tag_name) @bold (:match ".note" @bold))
+     ((tag_name) @warning (:match ".warning" @warning))
+     ((tag_name) @error (:match ".error" @error))
+     (storageclass) @font-lock-keyword-face)
 
    :language 'doxygen
    :override t
-- 
2.47.0